please enable arm assembler code in openssl

Bug #1083498 reported by Dimitri John Ledkov on 2012-11-27
34
This bug affects 5 people
Affects Status Importance Assigned to Milestone
openssl (Debian)
Fix Released
Unknown
openssl (Ubuntu)
Medium
Dimitri John Ledkov
Precise
Low
Unassigned
Quantal
Low
Unassigned

Bug Description

[Impact]

 * Enable arm asm optimisations.
 * This is an SRU as part of Hardware Enablement.

[Test Case]

* Compare `openssl speed` on armhf. There should be noticeable improvement.

[Regression Potential]

* This change affects only arm[hf|el].
* The test-suite passes correctly.

[Other Info]

Openssl has some rather nice arm assembler optimizations. For example
on pandaboard (omap4430):

benchmark debian with patch
sha1 55836.67k -> 73599.08k
aes-128 cbc 18451.11k -> 36305.34k
aes-256 cbc 13552.30k -> 27108.31k
sha256 20092.25k -> 43469.45k
sha512 8052.74k -> 37194.28k
rsa 1024 1904.2v/S -> 3650.5v/s

Related branches

Changed in openssl (Ubuntu):
status: New → Confirmed
assignee: nobody → Dmitrijs Ledkovs (xnox)
importance: Undecided → Medium
Changed in openssl (Debian):
importance: Undecided → Unknown
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openssl - 1.0.1c-4ubuntu2

---------------
openssl (1.0.1c-4ubuntu2) raring; urgency=low

  * Enable arm assembly code. (LP: #1083498) (Closes: #676533)
 -- Dmitrijs Ledkovs <email address hidden> Wed, 28 Nov 2012 00:08:45 +0000

Changed in openssl (Ubuntu):
status: Confirmed → Fix Released
Changed in openssl (Ubuntu Precise):
status: New → Confirmed
Changed in openssl (Ubuntu Quantal):
status: New → Confirmed
Changed in openssl (Ubuntu Precise):
importance: Undecided → Low
Changed in openssl (Ubuntu Quantal):
importance: Undecided → Low
Changed in openssl (Ubuntu Precise):
assignee: nobody → Dmitrijs Ledkovs (xnox)
Changed in openssl (Ubuntu Quantal):
assignee: nobody → Dmitrijs Ledkovs (xnox)
Dimitri John Ledkov (xnox) wrote :
description: updated
Dimitri John Ledkov (xnox) wrote :

Uploaded into quantal-proposed, unapproved queue. Pening members of SRU team to review, accept and publish it in the -proposed pocket.

Changed in openssl (Ubuntu Quantal):
status: Confirmed → In Progress
assignee: Dmitrijs Ledkovs (xnox) → nobody
Dimitri John Ledkov (xnox) wrote :

Uploaded into precise-proposed and quantal-proposed, unapproved queues. Pending members of SRU team to review, accept and publish it in the -proposed pocket.

Changed in openssl (Ubuntu Precise):
status: Confirmed → In Progress
assignee: Dmitrijs Ledkovs (xnox) → nobody

Hello Dmitrijs, or anyone else affected,

Accepted openssl into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/openssl/1.0.1c-3ubuntu2.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in openssl (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Dmitrijs, or anyone else affected,

Accepted openssl into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/openssl/1.0.1-4ubuntu5.9 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in openssl (Ubuntu Precise):
status: In Progress → Fix Committed
mahmoh (mahmoh) wrote :

Precise a9 results before:

mahmoh (mahmoh) wrote :

Precise a9 results after:

mahmoh (mahmoh) wrote :

^ actually my comments should have been reversed as you can see from the log name and data, apologies.

mahmoh (mahmoh) wrote :

Quantal a9 before:

mahmoh (mahmoh) wrote :

Quantal a9 after:

tags: added: verification-done-precise verification-done-quantal
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openssl - 1.0.1-4ubuntu5.9

---------------
openssl (1.0.1-4ubuntu5.9) precise; urgency=low

  [ Dmitrijs Ledkovs ]
  * Enable arm assembly code. (LP: #1083498) (Closes: #676533)
  * Enable optimized 64bit elliptic curve code contributed by Google. (LP: #1018522)

  [ Marc Deslauriers ]
  * debian/patches/fix_key_decoding_deadlock.patch: Fix possible deadlock
    when decoding public keys. (LP: #1066032)
 -- Dmitrijs Ledkovs <email address hidden> Mon, 15 Apr 2013 13:44:50 +0100

Changed in openssl (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openssl - 1.0.1c-3ubuntu2.4

---------------
openssl (1.0.1c-3ubuntu2.4) quantal; urgency=low

  [ Dmitrijs Ledkovs ]
  * Enable arm assembly code. (LP: #1083498) (Closes: #676533)
  * Enable optimized 64bit elliptic curve code contributed by Google. (LP: #1018522)

  [ Marc Deslauriers ]
  * debian/patches/fix_key_decoding_deadlock.patch: Fix possible deadlock
    when decoding public keys. (LP: #1066032)
 -- Dmitrijs Ledkovs <email address hidden> Thu, 04 Apr 2013 12:15:11 +0100

Changed in openssl (Ubuntu Quantal):
status: Fix Committed → Fix Released
Changed in openssl (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.